com::lomiri::location::ProxyProvider Class Reference

`#include <proxy_provider.h>`

Inheritance diagram for com::lomiri::location::ProxyProvider:
Collaboration diagram for com::lomiri::location::ProxyProvider:

## Public Types

typedef std::shared_ptr< ProxyProvider > | Ptr
Public Types inherited from com::lomiri::location::Provider
enum class | Features : std::size_t { none = 0 , position = 1 << 0 , velocity = 1 << 1 , heading = 1 << 2 }
| Enumerates the known features that can be supported by providers. More...
enum class | Requirements : std::size_t { none = 0 , satellites = 1 << 0 , cell_network = 1 << 1 , data_network = 1 << 2 , monetary_spending = 1 << 3 }
| Enumerates the requirements of a provider implementation. More...
typedef std::shared_ptr< Provider > | Ptr

## Public Member Functions

| ProxyProvider (const ProviderSelection &selection)
| ~ProxyProvider () noexcept
virtual void | start_position_updates ()
| Implementation-specific, empty by default.
virtual void | stop_position_updates ()
| Implementation-specific, empty by default.
virtual void | start_velocity_updates ()
| Implementation-specific, empty by default.
virtual void | stop_velocity_updates ()
| Implementation-specific, empty by default.
virtual void | start_heading_updates ()
| Implementation-specific, empty by default.
virtual void | stop_heading_updates ()
| Implementation-specific, empty by default.
Public Member Functions inherited from com::lomiri::location::Provider
virtual | ~Provider ()=default
| Provider (const Provider &)=delete
Provider & | operator= (const Provider &)=delete
virtual const Updates & | updates () const
| Provides non-mutable access to this provider's updates.
virtual const Controller::Ptr & | state_controller () const
| Access to the controller facade of this provider instance.
virtual bool | supports (const Features &f) const
| Checks if the provider supports a specific feature.
virtual bool | matches_criteria (const Criteria &criteria)
| Checks if a provider satisfies a set of accuracy criteria.
virtual void | on_wifi_and_cell_reporting_state_changed (WifiAndCellIdReportingState state)
| Called by the engine whenever the wifi and cell ID reporting state changes.
virtual void | on_reference_location_updated (const Update< Position > &position)
| Called by the engine whenever the reference location changed.
virtual void | on_reference_velocity_updated (const Update< Velocity > &velocity)
| Called by the engine whenever the reference velocity changed.
virtual void | on_reference_heading_updated (const Update< Heading > &heading)
| Called by the engine whenever the reference heading changed.

## Additional Inherited Members

Public Attributes inherited from com::lomiri::location::Provider
virtual bool | const
| Checks if the provider has got a specific requirement.
Protected Member Functions inherited from com::lomiri::location::Provider
| Provider (const Features &features=Features::none, const Requirements &requirements=Requirements::none)
virtual Updates & | mutable_updates ()

## Detailed Description

Definition at line 33 of file proxy_provider.h.

## Member Typedef Documentation

## Ptr

typedef std::shared_ptr<ProxyProvider> com::lomiri::location::ProxyProvider::Ptr

Definition at line 36 of file proxy_provider.h.

## Constructor & Destructor Documentation

## ProxyProvider()

com::lomiri::location::ProxyProvider::ProxyProvider | ( | const ProviderSelection & | selection | ) |

## ~ProxyProvider()

com::lomiri::location::ProxyProvider::~ProxyProvider | ( |  | ) |

noexcept

## Member Function Documentation

## start_heading_updates()

virtual void com::lomiri::location::ProxyProvider::start_heading_updates | ( |  | ) |

virtual

Implementation-specific, empty by default.

Reimplemented from com::lomiri::location::Provider.

References start_heading_updates().

Referenced by start_heading_updates().

Here is the call graph for this function:

## start_position_updates()

virtual void com::lomiri::location::ProxyProvider::start_position_updates | ( |  | ) |

virtual

Implementation-specific, empty by default.

Reimplemented from com::lomiri::location::Provider.

References start_position_updates().

Referenced by start_position_updates().

Here is the call graph for this function:

## start_velocity_updates()

virtual void com::lomiri::location::ProxyProvider::start_velocity_updates | ( |  | ) |

virtual

Implementation-specific, empty by default.

Reimplemented from com::lomiri::location::Provider.

References start_velocity_updates().

Referenced by start_velocity_updates().

Here is the call graph for this function:

## stop_heading_updates()

virtual void com::lomiri::location::ProxyProvider::stop_heading_updates | ( |  | ) |

virtual

Implementation-specific, empty by default.

Reimplemented from com::lomiri::location::Provider.

References stop_heading_updates().

Referenced by stop_heading_updates().

Here is the call graph for this function:

## stop_position_updates()

virtual void com::lomiri::location::ProxyProvider::stop_position_updates | ( |  | ) |

virtual

Implementation-specific, empty by default.

Reimplemented from com::lomiri::location::Provider.

References stop_position_updates().

Referenced by stop_position_updates().

Here is the call graph for this function:

## stop_velocity_updates()

virtual void com::lomiri::location::ProxyProvider::stop_velocity_updates | ( |  | ) |

virtual

Implementation-specific, empty by default.

Reimplemented from com::lomiri::location::Provider.

References stop_velocity_updates().

Referenced by stop_velocity_updates().

Here is the call graph for this function:

## Member Data Documentation

## heading_updates

core::ScopedConnection com::lomiri::location::ProxyProvider::heading_updates

Definition at line 56 of file proxy_provider.h.

## position_updates

core::ScopedConnection com::lomiri::location::ProxyProvider::position_updates

Definition at line 55 of file proxy_provider.h.

## velocity_updates

core::ScopedConnection com::lomiri::location::ProxyProvider::velocity_updates

Definition at line 57 of file proxy_provider.h.

The documentation for this class was generated from the following file:

- proxy_provider.h